/* ==========================================================================
   Permissions Modal Scrolling
   ========================================================================== */

.modal-permissions-users-outer.overflow {
    max-height: 14rem;
    overflow-y: scroll;
    mask-image: linear-gradient(0deg, rgba(0, 0, 0, 0) 0, rgba(0, 0, 0, 1) 15%);
}

.modal-permissions-users-outer.scrolling {
    mask-image: linear-gradient(0deg, rgba(0, 0, 0, 0) 0, rgba(0, 0, 0, 1) 15%, rgba(0, 0, 0, 1) 95%, rgba(0, 0, 0, 0) 100%);
}

.modal-permissions-users-outer.bottom {
    mask-image: linear-gradient(0deg, rgba(0, 0, 0, 1) 95%, rgba(0, 0, 0, 0) 100%);
}

input[type="email"].modal-permissions-input-email::placeholder {
    color: #a5acab !important;
}

/* ==========================================================================
   Shared Card Share Metadata
   ========================================================================== */

body.parent-pageid-132834 .shared-card-outer {
    margin: 2rem 0 0 3.9rem;
}

body.parent-pageid-132834 .shared-card-share-container {
    padding: 0.4rem 0;
    font-size: 0.9rem;
    width: calc(50% - 2rem);
}

@media only screen and (max-width: 640px) {
    body.parent-pageid-132834 .shared-card-share-container {
        width: 100%;
    }
}

.shared-card-share-container .shared-multiple {
    display: none;
}

.shared-card-share-container.multiple .shared-multiple {
    display: block;
    position: relative;
    cursor: pointer;
    padding: 0.25rem 0 0 !important;
}

.shared-card-share-container.multiple.active .shared-multiple {
    padding: 1.5rem 0 0 !important;
}

body.parent-pageid-132834 .shared-card-outer .shared-multiple:after {
    background-position: 1px 4px;
    margin-left: 0.6rem;
}

body.parent-pageid-132834 .shared-card-share-container.active .shared-multiple:after {
    background-position: 1px -1px;
}

body.parent-pageid-132834 .shared-card-share-container .shared-card-share-info {
    padding: 0.25rem 0 !important;
}

body.parent-pageid-132834 .shared-card-share-container.multiple.active {
    padding-bottom: 1rem;
}

.shared-card-share-container.multiple.active .shared-card-inner {
    max-height: 374px;
    overflow-y: scroll;
    -ms-overflow-style: none;
    scrollbar-width: none;
    -webkit-mask-image: linear-gradient(0deg, rgba(0, 0, 0, 0) 0, rgba(0, 0, 0, 1) 8%, rgba(0, 0, 0, 1) 95%, rgba(0, 0, 0, 0) 100%);
    mask-image: linear-gradient(0deg, rgba(0, 0, 0, 0) 0, rgba(0, 0, 0, 1) 8%, rgba(0, 0, 0, 1) 95%, rgba(0, 0, 0, 0) 100%);
}

.shared-card-share-container.multiple.active .shared-card-inner::-webkit-scrollbar {
    display: none;
}

/* ==========================================================================
   RFP User Rows
   ========================================================================== */

span.rfp-card-footer-user-role {
    font-size: 0.75rem;
    padding: 0.2rem 0.8rem 0.25rem;
    background: rgba(255, 255, 255, 0.06);
    border-radius: 100px;
    color: #d5e0dd;
    line-height: 1.3rem;
}

.rfp-card-footer-user-row.active {
    display: flex;
    align-items: center;
    position: relative;
    margin-bottom: 0.4rem !important;
    padding-right: 0.7rem !important;
}

@media only screen and (min-width: 640px) {
    .rfp-card-footer-user-row.active {
        padding: 0.25rem 0.7rem 0.25rem 2rem !important;
    }

    .rfp-card-footer-user-row.active:before {
        content: '';
        display: inline-block;
        width: 1.4rem;
        height: 1.4rem;
        position: absolute;
        background-image: url("/wp-content/uploads/2025/02/icon-user-b.svg");
        background-size: 1.1rem;
        background-repeat: no-repeat;
        background-position: center;
        top: 0.8rem;
        left: 0;
        opacity: 0.5;
    }

    .rfp-card-footer-user-row.user-row-domain.active:before {
        background-image: url("/wp-content/uploads/2025/03/icon-company-b-4.svg");
    }
}

span.rfp-card-footer-user-name {
    flex-grow: 4;
}

.rfp-card-users-container {
    margin-top: 1rem;
}

span.rfp-card-footer-user-role-container {
    min-width: 7rem;
    max-height: 32px;
}

.rfp-card-footer-user-role-container:not(.owner) {
    min-width: auto !important;
}

.rfp-card-footer-user-role-container .rfp-card-footer-user-role-display {
    display: block;
    padding: 0 0.9rem !important;
    margin-right: 0;
}

.rfp-card-users-see-more.icon-right.icon-chevron-down {
    margin-top: 1.2rem !important;
    display: block;
}

.modal-permissions span.rfp-card-footer-user-role {
    position: relative;
    font-size: 0.75rem;
    padding: 0.3rem 1.7rem 0.4rem 0.8rem;
    background: none;
    border-radius: 100px;
    color: #636a68;
    line-height: 1.3rem;
    border: 1px solid rgba(0, 0, 0, 0.09) !important;
}

.modal-permissions span.rfp-card-footer-user-role:after {
    content: '';
    width: 16px;
    height: 16px;
    position: absolute;
    top: 0.5rem;
    right: 0.4rem;
    opacity: 0.4;
    background-repeat: no-repeat;
    background-size: 0.7rem;
}

.modal-permissions span.rfp-card-footer-user-name {
    font-size: 0.85rem;
}

.rfp-card-footer-user-role-container span.select2-selection.select2-selection--single {
    font-size: 0.8rem;
    padding: 0 !important;
    height: 32px !important;
    display: inline-block;
    position: relative;
}

.rfp-card .rfp-card-footer-user-role-container .select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 31px !important;
}

.rfp-card .rfp-card-footer-user-role-container span.select2-selection__arrow:after {
    top: 0.7rem;
    left: unset;
    right: 0.4rem;
    background-size: 0.7rem;
}

span.rfp-card-footer-user-name-container {
    flex-grow: 4;
}

.rfp-card-users-see-more {
    margin-left: 0.6rem;
}

body.parent-pageid-132834 .rfp-card-users-see-more {
    margin: 0 2rem 0 0;
}

@media only screen and (max-width: 640px) {
    .rfp-card-users-see-more {
        width: fit-content;
        display: inline-block;
        right: 0;
        left: unset;
    }
}

.rfp-card-users-see-more p {
    display: inline-block;
    height: 36px !important;
    padding: 0.5rem 1.2rem 0.6rem 2.2rem !important;
    position: relative;
}

.rfp-card-users-container {
    display: none;
}

.rfp-card-users-see-more p:before {
    content: '';
    display: inline-block;
    width: 1.4rem;
    height: 1.4rem;
    position: absolute;
    background: url(/wp-content/uploads/2025/02/icon-user-w-2.svg);
    background-size: 0.8rem;
    background-repeat: no-repeat;
    background-position: center;
    top: 0.4rem;
    left: 0.6rem;
}

.rfp-card-users-see-more p:after {
    content: none;
}

.rfp-card-user-role {
    display: inline-block;
    height: auto !important;
    padding: 0.3rem 0.8rem 0.4rem !important;
    font-size: 0.75rem;
    margin-left: 0.8rem;
}

.rfp-card-user-role-archived {
    background-color: rgba(126, 179, 164, .15) !important;
    display: inline-block;
    font-size: 0.75rem;
    margin-left: 0.8rem;
    border-radius: 100px !important;
    border: 0 !important;
    padding: 0.3rem 0.8rem 0.4rem !important;
}

span.rfp-card-footer-user-email,
.rfp-card-footer-user-message {
    display: block;
    font-size: 0.8rem;
    color: #91aaa3;
    line-height: 0.6rem;
}

.modal-permissions span.rfp-card-footer-user-email,
.modal-permissions span.rfp-card-footer-user-message {
    color: #718982 !important;
}

span.rfp-card-footer-left-container {
    flex-grow: 4;
}

.rfp-card-footer-user-row.active.new-user span.rfp-card-footer-user-email,
.rfp-card-footer-user-row.active.new-user span.rfp-card-footer-user-message {
    color: #2f9376 !important;
}

.modal-permissions-users-header {
    display: flex;
    align-items: center;
    margin-top: 0.6rem;
}

.modal-permissions-users-count {
    font-size: 0.7rem;
    background: #d3e1dc;
    padding: 0.1rem 0.45rem 0.2rem;
    line-height: 1rem;
    border-radius: 0.3rem;
    margin: 0.1rem 0 0 0.7rem !important;
}

.modal-permissions a.modal-button.modal-button-send.modal-button-primary {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 3.5rem;
    width: 100%;
    height: 100%;
    text-align: center;
    font-size: 1rem;
    line-height: 2.3rem;
}

span.rfp-card-footer-user-remove,
.rfp-card-footer-user-cancel {
    width: 1.6rem;
    height: 1.6rem;
    background: #dadada url(https://palomarr.com/wp-content/uploads/2024/08/icon-x-b.svg) no-repeat center;
    background-size: 0.55rem;
    border-radius: 100px;
    opacity: 0.7;
    cursor: pointer;
    transition: 0.3s all;
    font-size: 0.8rem;
}

.rfp-card-footer-user-cancel {
    background: none !important;
    border: 1px solid rgba(0, 0, 0, 0.1) !important;
    opacity: 1 !important;
}

span.rfp-card-footer-user-remove:hover {
    opacity: 0.9;
}

.rfp-card-footer-user-cancel:hover {
    border: 1px solid rgba(0, 0, 0, 0.2) !important;
}

.rfp-card-footer-user-row.pending-remove span.rfp-card-footer-user-name-container {
    opacity: 0.5;
}

.rfp-card-footer-user-row.pending-remove span.rfp-card-footer-user-role-container {
    opacity: 0;
    width: 0;
}

@media only screen and (max-width: 640px) {
    .rfp-card-footer-user-row.pending-remove span.rfp-card-footer-user-role-container {
        display: none;
    }
}

.rfp-card-footer-user-row.pending-remove span.rfp-card-footer-user-remove,
.rfp-card-footer-user-row.pending-remove span.rfp-card-footer-user-cancel {
    width: auto;
    background-image: none;
    padding: 0 1rem !important;
    line-height: 1.85rem !important;
    height: 2rem;
    z-index: 100;
}

.rfp-card-footer-user-row.pending-remove span.rfp-card-footer-user-remove {
    background: #222222 !important;
}

span.rfp-card-footer-user-cancel {
    margin-right: 0.5rem;
}
